Activity log for bug #1705345

Date Who What changed Old value New value Message
2017-07-19 20:42:11 giacof bug added bug
2017-07-19 20:48:53 giacof description I tried to upgrade linux kernel, from 4.10.0-26 to 4.10.0-28, but the installation hangs on the following output lines: sudo apt-get install unrar linux-generic linux-headers-generic linux-image-generic linux-signed-generic linux-signed-image-generic Configurazione di linux-image-4.10.0-28-generic (4.10.0-28.32)... Running depmod. update-initramfs: deferring update (hook will be called later) Examining /etc/kernel/postinst.d. run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.10.0-28-generic /boot/vmlinuz-4.10.0-28-generic run-parts: executing /etc/kernel/postinst.d/dkms 4.10.0-28-generic /boot/vmlinuz-4.10.0-28-generic Then I used ps to see running processes on the console, and notice this one was blocking post-installation: plymouth --ping I could not but manually kill plymouth, then the script resumed but then froze again a few line later and so on, but is that safe for the installation? $ lsb_release -rd Description: Ubuntu 17.04 Release: 17.04 $ apt-cache policy plymouth plymouth: Installato: 0.9.2-3ubuntu15 Candidato: 0.9.2-3ubuntu15 Tabella versione: *** 0.9.2-3ubuntu15 500 500 http://ubuntu.mirror.garr.it/ubuntu zesty/main amd64 Packages 100 /var/lib/dpkg/status ProblemType: Bug DistroRelease: Ubuntu 17.04 Package: plymouth 0.9.2-3ubuntu15 ProcVersionSignature: Ubuntu 4.10.0-26.30-generic 4.10.17 Uname: Linux 4.10.0-26-generic x86_64 NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia ApportVersion: 2.20.4-0ubuntu4.4 Architecture: amd64 CurrentDesktop: GNOME Date: Wed Jul 19 22:32:14 2017 DefaultPlymouth: /usr/share/plymouth/themes/ubuntu-gnome-logo/ubuntu-gnome-logo.plymouth InstallationDate: Installed on 2017-05-22 (58 days ago) InstallationMedia: Ubuntu-GNOME 17.04 "Zesty Zapus" - Release amd64 (20170412) MachineType: Dell Inc. Precision M4800 ProcCmdLine: BOOT_IMAGE=/vmlinuz-4.10.0-26-generic.efi.signed root=/dev/mapper/vg-root ro quiet splash vt.handoff=7 ProcEnviron: TERM=xterm-256color PATH=(custom, no user) XDG_RUNTIME_DIR=<set> LANG=it_IT.UTF-8 SHELL=/bin/bash ProcFB: 0 inteldrmfb ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.10.0-26-generic.efi.signed root=/dev/mapper/vg-root ro quiet splash vt.handoff=7 SourcePackage: plymouth TextPlymouth: /usr/share/plymouth/themes/ubuntu-gnome-text/ubuntu-gnome-text.plymouth UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 01/02/2014 dmi.bios.vendor: Dell Inc. dmi.bios.version: A06 dmi.board.name: 0T3YTY dmi.board.vendor: Dell Inc. dmi.board.version: A00 dmi.chassis.type: 9 dmi.chassis.vendor: Dell Inc. dmi.modalias: dmi:bvnDellInc.:bvrA06:bd01/02/2014:svnDellInc.:pnPrecisionM4800:pvr01:rvnDellInc.:rn0T3YTY:rvrA00:cvnDellInc.:ct9:cvr: dmi.product.name: Precision M4800 dmi.product.version: 01 dmi.sys.vendor: Dell Inc. I tried to upgrade linux kernel, from 4.10.0-26 to 4.10.0-28, but the installation hangs on the following output lines: sudo apt-get install unrar linux-generic linux-headers-generic linux-image-generic linux-signed-generic linux-signed-image-generic Configurazione di linux-image-4.10.0-28-generic (4.10.0-28.32)... Running depmod. update-initramfs: deferring update (hook will be called later) Examining /etc/kernel/postinst.d. run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.10.0-28-generic /boot/vmlinuz-4.10.0-28-generic run-parts: executing /etc/kernel/postinst.d/dkms 4.10.0-28-generic /boot/vmlinuz-4.10.0-28-generic Then I used ps to see running processes on the console, and notice this one was blocking post-installation: plymouth --ping I could not but manually kill plymouth, then the script resumed but then froze again a few line later and so on, but is that safe for the installation? ProblemType: Bug DistroRelease: Ubuntu 17.04 Package: plymouth 0.9.2-3ubuntu15 ProcVersionSignature: Ubuntu 4.10.0-26.30-generic 4.10.17 Uname: Linux 4.10.0-26-generic x86_64 NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia ApportVersion: 2.20.4-0ubuntu4.4 Architecture: amd64 CurrentDesktop: GNOME Date: Wed Jul 19 22:32:14 2017 DefaultPlymouth: /usr/share/plymouth/themes/ubuntu-gnome-logo/ubuntu-gnome-logo.plymouth InstallationDate: Installed on 2017-05-22 (58 days ago) InstallationMedia: Ubuntu-GNOME 17.04 "Zesty Zapus" - Release amd64 (20170412) MachineType: Dell Inc. Precision M4800 ProcCmdLine: BOOT_IMAGE=/vmlinuz-4.10.0-26-generic.efi.signed root=/dev/mapper/vg-root ro quiet splash vt.handoff=7 ProcEnviron:  TERM=xterm-256color  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=it_IT.UTF-8  SHELL=/bin/bash ProcFB: 0 inteldrmfb ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.10.0-26-generic.efi.signed root=/dev/mapper/vg-root ro quiet splash vt.handoff=7 SourcePackage: plymouth TextPlymouth: /usr/share/plymouth/themes/ubuntu-gnome-text/ubuntu-gnome-text.plymouth UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 01/02/2014 dmi.bios.vendor: Dell Inc. dmi.bios.version: A06 dmi.board.name: 0T3YTY dmi.board.vendor: Dell Inc. dmi.board.version: A00 dmi.chassis.type: 9 dmi.chassis.vendor: Dell Inc. dmi.modalias: dmi:bvnDellInc.:bvrA06:bd01/02/2014:svnDellInc.:pnPrecisionM4800:pvr01:rvnDellInc.:rn0T3YTY:rvrA00:cvnDellInc.:ct9:cvr: dmi.product.name: Precision M4800 dmi.product.version: 01 dmi.sys.vendor: Dell Inc.
2017-08-11 09:20:35 Launchpad Janitor plymouth (Ubuntu): status New Confirmed
2017-09-15 20:08:57 Brian Murray tags amd64 apport-bug zesty amd64 apport-bug artful zesty
2017-09-15 20:09:33 Brian Murray bug added subscriber Brian Murray
2017-10-12 09:47:59 Morsok bug added subscriber Morsok
2017-10-18 19:54:33 Brian Murray plymouth (Ubuntu): status Confirmed Incomplete
2017-10-18 19:54:36 Brian Murray tags amd64 apport-bug artful zesty amd64 apport-bug artful plymouth-ping zesty
2017-10-18 22:32:01 David Wahler attachment added plymouth.strace https://bugs.launchpad.net/ubuntu/+source/plymouth/+bug/1705345/+attachment/4975330/+files/plymouth.strace
2017-10-18 22:32:32 David Wahler attachment added plymouthd.strace https://bugs.launchpad.net/ubuntu/+source/plymouth/+bug/1705345/+attachment/4975331/+files/plymouthd.strace
2017-10-18 23:17:48 Steve Langasek plymouth (Ubuntu): status Incomplete New
2017-10-19 20:20:09 giacof attachment added output of `strace plymouth --ping` https://bugs.launchpad.net/ubuntu/+source/plymouth/+bug/1705345/+attachment/4976707/+files/plym.strace
2017-10-31 15:38:54 antidrugue plymouth (Ubuntu): status New Confirmed
2017-11-03 07:47:07 zumbie bug added subscriber zumbie
2017-11-22 15:25:10 Rolands Kusiņš attachment added plymouth_ping_20171122.strace https://bugs.launchpad.net/ubuntu/+source/plymouth/+bug/1705345/+attachment/5012892/+files/plymouth_ping_20171122.strace
2017-11-22 23:00:03 giacof description I tried to upgrade linux kernel, from 4.10.0-26 to 4.10.0-28, but the installation hangs on the following output lines: sudo apt-get install unrar linux-generic linux-headers-generic linux-image-generic linux-signed-generic linux-signed-image-generic Configurazione di linux-image-4.10.0-28-generic (4.10.0-28.32)... Running depmod. update-initramfs: deferring update (hook will be called later) Examining /etc/kernel/postinst.d. run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.10.0-28-generic /boot/vmlinuz-4.10.0-28-generic run-parts: executing /etc/kernel/postinst.d/dkms 4.10.0-28-generic /boot/vmlinuz-4.10.0-28-generic Then I used ps to see running processes on the console, and notice this one was blocking post-installation: plymouth --ping I could not but manually kill plymouth, then the script resumed but then froze again a few line later and so on, but is that safe for the installation? ProblemType: Bug DistroRelease: Ubuntu 17.04 Package: plymouth 0.9.2-3ubuntu15 ProcVersionSignature: Ubuntu 4.10.0-26.30-generic 4.10.17 Uname: Linux 4.10.0-26-generic x86_64 NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia ApportVersion: 2.20.4-0ubuntu4.4 Architecture: amd64 CurrentDesktop: GNOME Date: Wed Jul 19 22:32:14 2017 DefaultPlymouth: /usr/share/plymouth/themes/ubuntu-gnome-logo/ubuntu-gnome-logo.plymouth InstallationDate: Installed on 2017-05-22 (58 days ago) InstallationMedia: Ubuntu-GNOME 17.04 "Zesty Zapus" - Release amd64 (20170412) MachineType: Dell Inc. Precision M4800 ProcCmdLine: BOOT_IMAGE=/vmlinuz-4.10.0-26-generic.efi.signed root=/dev/mapper/vg-root ro quiet splash vt.handoff=7 ProcEnviron:  TERM=xterm-256color  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=it_IT.UTF-8  SHELL=/bin/bash ProcFB: 0 inteldrmfb ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.10.0-26-generic.efi.signed root=/dev/mapper/vg-root ro quiet splash vt.handoff=7 SourcePackage: plymouth TextPlymouth: /usr/share/plymouth/themes/ubuntu-gnome-text/ubuntu-gnome-text.plymouth UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 01/02/2014 dmi.bios.vendor: Dell Inc. dmi.bios.version: A06 dmi.board.name: 0T3YTY dmi.board.vendor: Dell Inc. dmi.board.version: A00 dmi.chassis.type: 9 dmi.chassis.vendor: Dell Inc. dmi.modalias: dmi:bvnDellInc.:bvrA06:bd01/02/2014:svnDellInc.:pnPrecisionM4800:pvr01:rvnDellInc.:rn0T3YTY:rvrA00:cvnDellInc.:ct9:cvr: dmi.product.name: Precision M4800 dmi.product.version: 01 dmi.sys.vendor: Dell Inc. I tried to upgrade linux kernel, from 4.10.0-26 to 4.10.0-28, but the installation hung on the following output lines: sudo apt-get install unrar linux-generic linux-headers-generic linux-image-generic linux-signed-generic linux-signed-image-generic Configurazione di linux-image-4.10.0-28-generic (4.10.0-28.32)... Running depmod. update-initramfs: deferring update (hook will be called later) Examining /etc/kernel/postinst.d. run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.10.0-28-generic /boot/vmlinuz-4.10.0-28-generic run-parts: executing /etc/kernel/postinst.d/dkms 4.10.0-28-generic /boot/vmlinuz-4.10.0-28-generic Then I looked at the running processes, and noticed this one was blocking post-installation: plymouth --ping I could not but manually kill plymouth, then the script resumed just to froze again a few line later and so on, but is that safe for the installation? ProblemType: Bug DistroRelease: Ubuntu 17.04 Package: plymouth 0.9.2-3ubuntu15 ProcVersionSignature: Ubuntu 4.10.0-26.30-generic 4.10.17 Uname: Linux 4.10.0-26-generic x86_64 NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia ApportVersion: 2.20.4-0ubuntu4.4 Architecture: amd64 CurrentDesktop: GNOME Date: Wed Jul 19 22:32:14 2017 DefaultPlymouth: /usr/share/plymouth/themes/ubuntu-gnome-logo/ubuntu-gnome-logo.plymouth InstallationDate: Installed on 2017-05-22 (58 days ago) InstallationMedia: Ubuntu-GNOME 17.04 "Zesty Zapus" - Release amd64 (20170412) MachineType: Dell Inc. Precision M4800 ProcCmdLine: BOOT_IMAGE=/vmlinuz-4.10.0-26-generic.efi.signed root=/dev/mapper/vg-root ro quiet splash vt.handoff=7 ProcEnviron:  TERM=xterm-256color  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=it_IT.UTF-8  SHELL=/bin/bash ProcFB: 0 inteldrmfb ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.10.0-26-generic.efi.signed root=/dev/mapper/vg-root ro quiet splash vt.handoff=7 SourcePackage: plymouth TextPlymouth: /usr/share/plymouth/themes/ubuntu-gnome-text/ubuntu-gnome-text.plymouth UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 01/02/2014 dmi.bios.vendor: Dell Inc. dmi.bios.version: A06 dmi.board.name: 0T3YTY dmi.board.vendor: Dell Inc. dmi.board.version: A00 dmi.chassis.type: 9 dmi.chassis.vendor: Dell Inc. dmi.modalias: dmi:bvnDellInc.:bvrA06:bd01/02/2014:svnDellInc.:pnPrecisionM4800:pvr01:rvnDellInc.:rn0T3YTY:rvrA00:cvnDellInc.:ct9:cvr: dmi.product.name: Precision M4800 dmi.product.version: 01 dmi.sys.vendor: Dell Inc.
2017-11-22 23:00:29 giacof description I tried to upgrade linux kernel, from 4.10.0-26 to 4.10.0-28, but the installation hung on the following output lines: sudo apt-get install unrar linux-generic linux-headers-generic linux-image-generic linux-signed-generic linux-signed-image-generic Configurazione di linux-image-4.10.0-28-generic (4.10.0-28.32)... Running depmod. update-initramfs: deferring update (hook will be called later) Examining /etc/kernel/postinst.d. run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.10.0-28-generic /boot/vmlinuz-4.10.0-28-generic run-parts: executing /etc/kernel/postinst.d/dkms 4.10.0-28-generic /boot/vmlinuz-4.10.0-28-generic Then I looked at the running processes, and noticed this one was blocking post-installation: plymouth --ping I could not but manually kill plymouth, then the script resumed just to froze again a few line later and so on, but is that safe for the installation? ProblemType: Bug DistroRelease: Ubuntu 17.04 Package: plymouth 0.9.2-3ubuntu15 ProcVersionSignature: Ubuntu 4.10.0-26.30-generic 4.10.17 Uname: Linux 4.10.0-26-generic x86_64 NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia ApportVersion: 2.20.4-0ubuntu4.4 Architecture: amd64 CurrentDesktop: GNOME Date: Wed Jul 19 22:32:14 2017 DefaultPlymouth: /usr/share/plymouth/themes/ubuntu-gnome-logo/ubuntu-gnome-logo.plymouth InstallationDate: Installed on 2017-05-22 (58 days ago) InstallationMedia: Ubuntu-GNOME 17.04 "Zesty Zapus" - Release amd64 (20170412) MachineType: Dell Inc. Precision M4800 ProcCmdLine: BOOT_IMAGE=/vmlinuz-4.10.0-26-generic.efi.signed root=/dev/mapper/vg-root ro quiet splash vt.handoff=7 ProcEnviron:  TERM=xterm-256color  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=it_IT.UTF-8  SHELL=/bin/bash ProcFB: 0 inteldrmfb ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.10.0-26-generic.efi.signed root=/dev/mapper/vg-root ro quiet splash vt.handoff=7 SourcePackage: plymouth TextPlymouth: /usr/share/plymouth/themes/ubuntu-gnome-text/ubuntu-gnome-text.plymouth UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 01/02/2014 dmi.bios.vendor: Dell Inc. dmi.bios.version: A06 dmi.board.name: 0T3YTY dmi.board.vendor: Dell Inc. dmi.board.version: A00 dmi.chassis.type: 9 dmi.chassis.vendor: Dell Inc. dmi.modalias: dmi:bvnDellInc.:bvrA06:bd01/02/2014:svnDellInc.:pnPrecisionM4800:pvr01:rvnDellInc.:rn0T3YTY:rvrA00:cvnDellInc.:ct9:cvr: dmi.product.name: Precision M4800 dmi.product.version: 01 dmi.sys.vendor: Dell Inc. I tried to upgrade linux kernel, from 4.10.0-26 to 4.10.0-28, but the installation hung on the following output lines: sudo apt-get install unrar linux-generic linux-headers-generic linux-image-generic linux-signed-generic linux-signed-image-generic Configurazione di linux-image-4.10.0-28-generic (4.10.0-28.32)... Running depmod. update-initramfs: deferring update (hook will be called later) Examining /etc/kernel/postinst.d. run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.10.0-28-generic /boot/vmlinuz-4.10.0-28-generic run-parts: executing /etc/kernel/postinst.d/dkms 4.10.0-28-generic /boot/vmlinuz-4.10.0-28-generic Then I looked at the running processes, and noticed this one was blocking post-installation: plymouth --ping I could not but manually kill plymouth, then the script resumed just to freeze again a few line later and so on, but is that safe for the installation? ProblemType: Bug DistroRelease: Ubuntu 17.04 Package: plymouth 0.9.2-3ubuntu15 ProcVersionSignature: Ubuntu 4.10.0-26.30-generic 4.10.17 Uname: Linux 4.10.0-26-generic x86_64 NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia ApportVersion: 2.20.4-0ubuntu4.4 Architecture: amd64 CurrentDesktop: GNOME Date: Wed Jul 19 22:32:14 2017 DefaultPlymouth: /usr/share/plymouth/themes/ubuntu-gnome-logo/ubuntu-gnome-logo.plymouth InstallationDate: Installed on 2017-05-22 (58 days ago) InstallationMedia: Ubuntu-GNOME 17.04 "Zesty Zapus" - Release amd64 (20170412) MachineType: Dell Inc. Precision M4800 ProcCmdLine: BOOT_IMAGE=/vmlinuz-4.10.0-26-generic.efi.signed root=/dev/mapper/vg-root ro quiet splash vt.handoff=7 ProcEnviron:  TERM=xterm-256color  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=it_IT.UTF-8  SHELL=/bin/bash ProcFB: 0 inteldrmfb ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.10.0-26-generic.efi.signed root=/dev/mapper/vg-root ro quiet splash vt.handoff=7 SourcePackage: plymouth TextPlymouth: /usr/share/plymouth/themes/ubuntu-gnome-text/ubuntu-gnome-text.plymouth UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 01/02/2014 dmi.bios.vendor: Dell Inc. dmi.bios.version: A06 dmi.board.name: 0T3YTY dmi.board.vendor: Dell Inc. dmi.board.version: A00 dmi.chassis.type: 9 dmi.chassis.vendor: Dell Inc. dmi.modalias: dmi:bvnDellInc.:bvrA06:bd01/02/2014:svnDellInc.:pnPrecisionM4800:pvr01:rvnDellInc.:rn0T3YTY:rvrA00:cvnDellInc.:ct9:cvr: dmi.product.name: Precision M4800 dmi.product.version: 01 dmi.sys.vendor: Dell Inc.
2017-12-22 08:25:14 Sven attachment added strace_plymouth.log https://bugs.launchpad.net/ubuntu/+source/plymouth/+bug/1705345/+attachment/5026023/+files/strace_plymouth.log
2017-12-26 20:33:35 Tim Garton bug added subscriber Tim Garton
2018-01-09 05:47:01 Manfred Usselmann bug added subscriber Manfred Usselmann
2018-01-14 12:50:45 Dominik Jarmułowicz bug added subscriber Dominik Jarmułowicz
2018-01-16 17:54:27 dino99 plymouth (Ubuntu): status Confirmed Invalid
2018-01-16 21:34:16 Steve Langasek plymouth (Ubuntu): status Invalid Confirmed
2018-02-03 13:41:15 dino99 plymouth (Ubuntu): status Confirmed Incomplete
2018-02-03 22:01:56 Steve Langasek plymouth (Ubuntu): status Incomplete Triaged
2018-02-07 09:39:50 munbi bug added subscriber munbi
2018-02-08 10:42:16 hawkerb bug added subscriber hawkerb
2018-02-08 15:04:34 Nemanja Boric bug added subscriber Nemanja Boric
2018-02-13 16:43:00 Eneko Castresana bug added subscriber Eneko Castresana
2018-02-16 13:21:39 Francis Ginther tags amd64 apport-bug artful plymouth-ping zesty amd64 apport-bug artful id-5a862ec3e29bfd25c55193e7 plymouth-ping zesty
2018-02-23 22:56:01 Steve Langasek plymouth (Ubuntu): importance Undecided Critical
2018-02-26 09:33:41 Pi Delport attachment added Output of "strace plymouth --ping" in gnome-terminal https://bugs.launchpad.net/ubuntu/+source/plymouth/+bug/1705345/+attachment/5063361/+files/strace-plymouth-ping-output.txt
2018-02-28 18:21:01 Brian Murray summary Installing new kernel hangs on plymouth --ping Installing packages hangs on plymouth --ping
2018-02-28 20:42:09 Brian Murray tags amd64 apport-bug artful id-5a862ec3e29bfd25c55193e7 plymouth-ping zesty amd64 apport-bug artful bugpattern-written id-5a862ec3e29bfd25c55193e7 plymouth-ping zesty
2018-03-01 15:02:35 Alessander Botti Benevides bug added subscriber Alessander Botti Benevides
2018-03-09 10:05:35 Cees Bos bug added subscriber Cees Bos
2018-03-13 14:26:09 Laurent Cottereau bug added subscriber Laurent Cottereau
2018-03-19 15:39:42 Apostolos Gerasoulis bug added subscriber Apostolos Gerasoulis
2018-03-29 21:35:04 Brian Murray plymouth (Ubuntu): assignee Brian Murray (brian-murray)
2018-03-30 20:30:10 Launchpad Janitor plymouth (Ubuntu): status Triaged Fix Released
2018-04-02 18:03:07 Brian Murray nominated for series Ubuntu Artful
2018-04-02 18:03:07 Brian Murray bug task added plymouth (Ubuntu Artful)
2018-04-02 18:03:07 Brian Murray nominated for series Ubuntu Xenial
2018-04-02 18:03:07 Brian Murray bug task added plymouth (Ubuntu Xenial)
2018-04-02 18:03:34 Brian Murray plymouth (Ubuntu Xenial): status New In Progress
2018-04-02 18:03:36 Brian Murray plymouth (Ubuntu Artful): status New In Progress
2018-04-02 18:03:39 Brian Murray plymouth (Ubuntu Xenial): assignee Brian Murray (brian-murray)
2018-04-02 18:03:42 Brian Murray plymouth (Ubuntu Artful): assignee Brian Murray (brian-murray)
2018-04-02 18:18:08 Brian Murray description I tried to upgrade linux kernel, from 4.10.0-26 to 4.10.0-28, but the installation hung on the following output lines: sudo apt-get install unrar linux-generic linux-headers-generic linux-image-generic linux-signed-generic linux-signed-image-generic Configurazione di linux-image-4.10.0-28-generic (4.10.0-28.32)... Running depmod. update-initramfs: deferring update (hook will be called later) Examining /etc/kernel/postinst.d. run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.10.0-28-generic /boot/vmlinuz-4.10.0-28-generic run-parts: executing /etc/kernel/postinst.d/dkms 4.10.0-28-generic /boot/vmlinuz-4.10.0-28-generic Then I looked at the running processes, and noticed this one was blocking post-installation: plymouth --ping I could not but manually kill plymouth, then the script resumed just to freeze again a few line later and so on, but is that safe for the installation? ProblemType: Bug DistroRelease: Ubuntu 17.04 Package: plymouth 0.9.2-3ubuntu15 ProcVersionSignature: Ubuntu 4.10.0-26.30-generic 4.10.17 Uname: Linux 4.10.0-26-generic x86_64 NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia ApportVersion: 2.20.4-0ubuntu4.4 Architecture: amd64 CurrentDesktop: GNOME Date: Wed Jul 19 22:32:14 2017 DefaultPlymouth: /usr/share/plymouth/themes/ubuntu-gnome-logo/ubuntu-gnome-logo.plymouth InstallationDate: Installed on 2017-05-22 (58 days ago) InstallationMedia: Ubuntu-GNOME 17.04 "Zesty Zapus" - Release amd64 (20170412) MachineType: Dell Inc. Precision M4800 ProcCmdLine: BOOT_IMAGE=/vmlinuz-4.10.0-26-generic.efi.signed root=/dev/mapper/vg-root ro quiet splash vt.handoff=7 ProcEnviron:  TERM=xterm-256color  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=it_IT.UTF-8  SHELL=/bin/bash ProcFB: 0 inteldrmfb ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.10.0-26-generic.efi.signed root=/dev/mapper/vg-root ro quiet splash vt.handoff=7 SourcePackage: plymouth TextPlymouth: /usr/share/plymouth/themes/ubuntu-gnome-text/ubuntu-gnome-text.plymouth UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 01/02/2014 dmi.bios.vendor: Dell Inc. dmi.bios.version: A06 dmi.board.name: 0T3YTY dmi.board.vendor: Dell Inc. dmi.board.version: A00 dmi.chassis.type: 9 dmi.chassis.vendor: Dell Inc. dmi.modalias: dmi:bvnDellInc.:bvrA06:bd01/02/2014:svnDellInc.:pnPrecisionM4800:pvr01:rvnDellInc.:rn0T3YTY:rvrA00:cvnDellInc.:ct9:cvr: dmi.product.name: Precision M4800 dmi.product.version: 01 dmi.sys.vendor: Dell Inc. Impact ------ Many packages call pymouth --ping and if plymouthd is hung then the package installations can fail. Test Case --------- 1) Run 'sudo /sbin/plymouthd --mode=boot --attach-to-session --pid-file=/run/plymouth/pid' 2) Observe plymouthd is running ('ps aux | grep plymouth') 3) stop the plymouthd process 'sudo kill -STOP $PID' 4) Run 'plymouth --ping --debug' 5) Observe that the plymouth --ping command hangs With the version of plymouth from -proposed you will receive the following output instead. bdmurray@clean-artful-amd64:~$ plymouth --ping --debug [ply-event-loop.c:759] ply_event_loop_stop_watching_fd:stopping watching fd 6 [ply-event-loop.c:775] ply_event_loop_stop_watching_fd:removing destination for fd 6 [./plymouth.c:82] timeout_handler:ping: timed out waiting for plymouthd [./ply-boot-client.c:810] ply_boot_client_detach_from_event_loop:detaching from event loop Notice how the ping command times out. Regression Potential -------------------- Its possible that the timeout of 2 seconds isn't long enough but that seems unlikely. Original Description -------------------- I tried to upgrade linux kernel, from 4.10.0-26 to 4.10.0-28, but the installation hung on the following output lines: sudo apt-get install unrar linux-generic linux-headers-generic linux-image-generic linux-signed-generic linux-signed-image-generic Configurazione di linux-image-4.10.0-28-generic (4.10.0-28.32)... Running depmod. update-initramfs: deferring update (hook will be called later) Examining /etc/kernel/postinst.d. run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.10.0-28-generic /boot/vmlinuz-4.10.0-28-generic run-parts: executing /etc/kernel/postinst.d/dkms 4.10.0-28-generic /boot/vmlinuz-4.10.0-28-generic Then I looked at the running processes, and noticed this one was blocking post-installation: plymouth --ping I could not but manually kill plymouth, then the script resumed just to freeze again a few line later and so on, but is that safe for the installation? ProblemType: BugDistroRelease: Ubuntu 17.04 Package: plymouth 0.9.2-3ubuntu15 ProcVersionSignature: Ubuntu 4.10.0-26.30-generic 4.10.17 Uname: Linux 4.10.0-26-generic x86_64 NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia ApportVersion: 2.20.4-0ubuntu4.4 Architecture: amd64 CurrentDesktop: GNOME Date: Wed Jul 19 22:32:14 2017 DefaultPlymouth: /usr/share/plymouth/themes/ubuntu-gnome-logo/ubuntu-gnome-logo.plymouth InstallationDate: Installed on 2017-05-22 (58 days ago) InstallationMedia: Ubuntu-GNOME 17.04 "Zesty Zapus" - Release amd64 (20170412) MachineType: Dell Inc. Precision M4800 ProcCmdLine: BOOT_IMAGE=/vmlinuz-4.10.0-26-generic.efi.signed root=/dev/mapper/vg-root ro quiet splash vt.handoff=7 ProcEnviron:  TERM=xterm-256color  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=it_IT.UTF-8  SHELL=/bin/bash ProcFB: 0 inteldrmfb ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.10.0-26-generic.efi.signed root=/dev/mapper/vg-root ro quiet splash vt.handoff=7SourcePackage: plymouth TextPlymouth: /usr/share/plymouth/themes/ubuntu-gnome-text/ubuntu-gnome-text.plymouth UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 01/02/2014 dmi.bios.vendor: Dell Inc. dmi.bios.version: A06 dmi.board.name: 0T3YTY dmi.board.vendor: Dell Inc. dmi.board.version: A00 dmi.chassis.type: 9 dmi.chassis.vendor: Dell Inc. dmi.modalias: dmi:bvnDellInc.:bvrA06:bd01/02/2014:svnDellInc.:pnPrecisionM4800:pvr01:rvnDellInc.:rn0T3YTY:rvrA00:cvnDellInc.:ct9:cvr: dmi.product.name: Precision M4800 dmi.product.version: 01 dmi.sys.vendor: Dell Inc.
2018-04-02 18:39:56 Eneko Castresana removed subscriber Eneko Castresana
2018-04-03 16:27:18 Łukasz Zemczak plymouth (Ubuntu Artful): status In Progress Fix Committed
2018-04-03 16:27:21 Łukasz Zemczak bug added subscriber Ubuntu Stable Release Updates Team
2018-04-03 16:27:23 Łukasz Zemczak bug added subscriber SRU Verification
2018-04-03 16:27:32 Łukasz Zemczak tags amd64 apport-bug artful bugpattern-written id-5a862ec3e29bfd25c55193e7 plymouth-ping zesty amd64 apport-bug artful bugpattern-written id-5a862ec3e29bfd25c55193e7 plymouth-ping verification-needed verification-needed-artful zesty
2018-04-03 18:33:12 Łukasz Zemczak plymouth (Ubuntu Xenial): status In Progress Fix Committed
2018-04-03 18:33:23 Łukasz Zemczak tags amd64 apport-bug artful bugpattern-written id-5a862ec3e29bfd25c55193e7 plymouth-ping verification-needed verification-needed-artful zesty amd64 apport-bug artful bugpattern-written id-5a862ec3e29bfd25c55193e7 plymouth-ping verification-needed verification-needed-artful verification-needed-xenial zesty
2018-04-03 23:19:37 Brian Murray tags amd64 apport-bug artful bugpattern-written id-5a862ec3e29bfd25c55193e7 plymouth-ping verification-needed verification-needed-artful verification-needed-xenial zesty amd64 apport-bug artful bugpattern-written id-5a862ec3e29bfd25c55193e7 plymouth-ping verification-done verification-done-artful verification-done-xenial zesty
2018-04-12 08:25:23 Launchpad Janitor plymouth (Ubuntu Artful): status Fix Committed Fix Released
2018-04-12 08:25:29 Łukasz Zemczak removed subscriber Ubuntu Stable Release Updates Team
2018-04-12 08:29:27 Launchpad Janitor plymouth (Ubuntu Xenial): status Fix Committed Fix Released